Bug 13688 - [Ser30] Incorrect regexp for output:encoding in xslt-xquery-serialization.xsd
[Ser30] Incorrect regexp for output:encoding in xslt-xquery-serialization.xsd
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Serialization 3.0
Working drafts
All All
: P2 normal
: ---
Assigned To: Henry Zongaro
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-05 22:09 UTC by Chris Hillery
Modified: 2011-10-12 07:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hillery 2011-08-05 22:09:19 UTC
See:

  http://www.w3.org/2010/xslt-xquery-serialization/schema-for-parameters-for-xslt-xquery-serialization.xsd#encoding

The regexp in this schema for encoding-string-type is:

  <xs:pattern value="[A-Za-z]([A-Za-z0-9._]|'-')*"/>

That pattern does not match, for example, UTF-8, which is a required encoding name.

I believe the pattern should be

  <xs:pattern value="[A-Za-z]([A-Za-z0-9._]|-)*"/>

without the single-quotes around the hyphen character. I made this change locally and it worked, at least.

I read through the XML schema regexp documentation at:

  http://www.w3.org/TR/xmlschema-2/#regexs

and did not find anything that suggested that single quotes can be used in this way, but if I misunderstood it please let me know.
Comment 1 Henry Zongaro 2011-08-08 12:49:52 UTC
Yes, I agree.  That was obviously a typographical error on my part.

I am responding on my own behalf - not on the behalf of the XSLT and XQuery working groups.
Comment 2 Henry Zongaro 2011-09-20 16:37:44 UTC
At the joint teleconference of the XQuery and XSLT working groups of 20 September 2011, the working groups decided to resolve this problem by changing the regular expression for encoding-string-type to the following.

  <xs:pattern value="[A-Za-z][A-Za-z0-9._\-]*"/>
Comment 3 Jim Melton 2011-10-08 19:04:41 UTC
I believe that Henry intended to mark this bug as RESOLVED/FIXED when he posted comment #3 on 2011-09-20.  In that belief, I am so marking the bug.  Chris, if you accept Henry's posted resolution, please mark the bug CLOSED.
Comment 4 Chris Hillery 2011-10-12 07:20:11 UTC
Henry's regexp works; I have updated our product (Zorba) accordingly. Thanks.